Skip to main content
GET
/
v1
/
connections
/
{connectionId}
Get a connection
curl --request GET \
  --url https://api.waycore.com/v1/connections/{connectionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "institutionId": "<string>",
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "institutionName": "<string>",
  "lastSyncedAt": "2023-11-07T05:31:56Z",
  "errorCode": "<string>",
  "errorMessage": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Path Parameters

connectionId
string
required

Query Parameters

fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

Response

Successful Response

id
string
required

Stable, immutable identifier for the connection.

institutionId
string
required

Waycore's canonical institution identifier.

status
enum<string>
required

Current connection status.

Available options:
active,
reauthRequired,
paused,
revoked,
syncing,
errored,
unknown
createdAt
string<date-time>
required

When the connection was created in this API.

updatedAt
string<date-time>
required

When the connection last changed in this API.

institutionName
string | null

Institution display name, when available.

lastSyncedAt
string<date-time> | null

When the connection was last synchronised successfully, when available.

errorCode
string | null

Most recent connection error code, when available.

errorMessage
string | null

Most recent connection error message, when available.

metadata
Metadata · object

Opaque client-defined metadata.